This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
applied installperl patch, corrected other little nits
authorAndreas König <a.koenig@mind.de>
Sun, 12 Jul 1998 16:27:21 +0000 (18:27 +0200)
committerGurusamy Sarathy <gsar@cpan.org>
Sun, 12 Jul 1998 21:54:02 +0000 (21:54 +0000)
Message-ID: <sfcn2afrvp2.fsf@dubravka.in-berlin.de>
Subject: [5.004_72] installperl tweak

p4raw-id: //depot/perl@1455

Changes
Configure
README.win32
installperl
win32/makefile.mk

diff --git a/Changes b/Changes
index 3876ff2..80eca35 100644 (file)
--- a/Changes
+++ b/Changes
@@ -65,7 +65,7 @@ indicator:
 
 
 ----------------
-Version 5.004_71        Developer release working toward 5.005
+Version 5.004_72        Developer release working toward 5.005
 ----------------
 
 ____________________________________________________________________________
index 62b6077..938b4fb 100755 (executable)
--- a/Configure
+++ b/Configure
@@ -10730,7 +10730,7 @@ esac
 case \$# in
 0) exit 1;;
 esac
-echo \$* | $tr ' ' $trnl | $sed -e 's/\(.*\)/\\
+echo \$* | $tr ' ' '$trnl' | $sed -e 's/\(.*\)/\\
 #ifdef \1\\
 exit 0; _ _ _ _\1\\     \1\\
 #endif\\
index 873df29..fbcfe3c 100644 (file)
@@ -50,7 +50,8 @@ following compilers:
       Mingw32 with EGCS                version 1.0.2
       Mingw32 with GCC         version 2.8.1
 
-The last two of these are high quality freeware compilers.
+The last two of these are high quality freeware compilers.  Support
+for them is still experimental.
 
 This port currently supports MakeMaker (the set of modules that
 is used to build extensions to perl).  Therefore, you should be
@@ -145,7 +146,8 @@ a perl interpreter that supports the Perl Object abstraction (courtesy
 ActiveState Tool Corp.)  PERL_OBJECT uses C++, and the binaries are
 therefore incompatible with the regular C build.  However, the
 PERL_OBJECT build does provide something called the C-API, for linking
-it with extensions that won't compile under PERL_OBJECT.
+it with extensions that won't compile under PERL_OBJECT.  PERL_OBJECT
+cannot be enabled when using GCC or EGCS, yet.
 
 Beginning with version 5.005, there is experimental support for building
 a perl interpreter that is capable of native threading.  Binaries built
index ef310c9..8bb8d14 100755 (executable)
@@ -1,13 +1,16 @@
 #!./perl
 
-use strict;
-use vars qw($Is_VMS $Is_W32 $Is_OS2 $nonono $versiononly $depth);
-
 BEGIN {
     require 5.004;
     chdir '..' if !-d 'lib' and -d '..\lib';
     @INC = 'lib';
     $ENV{PERL5LIB} = 'lib';
+}
+
+use strict;
+use vars qw($Is_VMS $Is_W32 $Is_OS2 $nonono $versiononly $depth);
+
+BEGIN {
     $Is_VMS = $^O eq 'VMS';
     $Is_W32 = $^O eq 'MSWin32';
     $Is_OS2 = $^O eq 'os2';
index a5a0a24..27dc1d3 100644 (file)
@@ -3,7 +3,7 @@
 # Supported compilers:
 #      Visual C++ 2.0 thro 5.0
 #      Borland C++ 5.02
-#      Mingw32 with gcc-2.8.1 or egcs-1.0.2
+#      Mingw32 with gcc-2.8.1 or egcs-1.0.2  **experimental**
 #
 # This is set up to build a perl.exe that runs off a shared library
 # (perl.dll).  Also makes individual DLLs for the XS extensions.
@@ -46,7 +46,8 @@ CCTYPE                *= BORLAND
 
 #
 # uncomment next line if you want to use the perl object
-# Currently, this cannot be enabled if you ask for threads above
+# Currently, this cannot be enabled if you ask for threads above, or
+# if you are using GCC or EGCS.
 #
 #OBJECT                *= -DPERL_OBJECT